Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSerializer

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaSerializer

    public class XmlSchemaSerializer

extends java.lang.Object

Convert from the XML Schema class representation to the standard XML representation.

Nested Class Summary
`static class` | `XmlSchemaSerializer.XmlSchemaSerializerException` Exception class used for serialization problems.

Field Summary
`static java.lang.String` | `xsdNamespace`

Constructor Summary
`XmlSchemaSerializer()` Create a new serializer.

Method Summary
`ExtensionRegistry` | `getExtReg()` Get the registry of extensions for this serializer.
`org.w3c.dom.Document[]` | `serializeSchema(XmlSchema schemaObj, boolean serializeIncluded)` Serialize an entire schema, returning an array of DOM Documents, one per XSL file.
`void` | `setExtReg(ExtensionRegistry extReg)` Set the registry of extensions for this serializer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xsdNamespace

    public static final java.lang.String xsdNamespace

See Also:
  Constant Field Values

Constructor Detail

### XmlSchemaSerializer

    public XmlSchemaSerializer()

  Create a new serializer.

Method Detail

### getExtReg

    public ExtensionRegistry getExtReg()

  Get the registry of extensions for this serializer.

  Returns:
    the registry.

### setExtReg

    public void setExtReg(ExtensionRegistry extReg)

  Set the registry of extensions for this serializer.

  Parameters:
    `extReg` - the registry.

### serializeSchema

    public org.w3c.dom.Document[] serializeSchema(XmlSchema schemaObj,
                                                  boolean serializeIncluded)
                                           throws XmlSchemaSerializer.XmlSchemaSerializerException

  Serialize an entire schema, returning an array of DOM Documents, one per XSL file.

  Parameters:
    `schemaObj` - The XML Schema.
    `serializeIncluded` - whether to create DOM trees for any included or imported schemas.
  Returns:
    Documents. If serializeIncluded is false, the array with have one entry. The main document is always first.
  Throws:
    `XmlSchemaSerializer.XmlSchemaSerializerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.